#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-Knj0n9Jdam31pGzJSdM2bS-dns-internal
key:                  dns-4.0.1-Knj0n9Jdam31pGzJSdM2bS-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d56ff9bb10f7f7f9b7aff7d8f94bf558
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-Knj0n9Jdam31pGzJSdM2bS-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-DvF9gf9qyfPK6D6feIe45y
    attoparsec-0.14.1-94M7XwbxYJLFvYthp17dR
    auto-update-0.1.6-8Ty0Syqt41GvhFO81OhV3 base-4.14.1.0
    base16-bytestring-1.0.1.0-GFHbp9pDGKb7zba4QjzG5A
    base64-bytestring-1.2.0.1-FflReIOJIGAB1mhC0WwOSE
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.29-2DlnxXwX1G4IdMr893KKKJ
    hourglass-0.2.12-6YnJR02ohZKAv8rYFfSj20
    iproute-1.7.11-DdAowF1Jj6KFeSiqqdL93d mtl-2.2.2
    network-3.1.2.1-JWsgyzxIkceBMW0wbRjAeX
    psqueues-0.2.7.2-LPBceKdcRL0GdCO34gCpxp

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-ImmW09aO1XOI6aYHgjSYSU
key:                  dns-4.0.1-ImmW09aO1XOI6aYHgjSYSU
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  79f670309ac9a32d2e9033a0602b78c2
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-ImmW09aO1XOI6aYHgjSYSU
depends:
    array-0.5.4.0 async-2.2.3-DvF9gf9qyfPK6D6feIe45y
    attoparsec-0.14.1-94M7XwbxYJLFvYthp17dR
    auto-update-0.1.6-8Ty0Syqt41GvhFO81OhV3 base-4.14.1.0
    base16-bytestring-1.0.1.0-GFHbp9pDGKb7zba4QjzG5A
    base64-bytestring-1.2.0.1-FflReIOJIGAB1mhC0WwOSE
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.29-2DlnxXwX1G4IdMr893KKKJ
    dns-4.0.1-Knj0n9Jdam31pGzJSdM2bS-dns-internal
    hourglass-0.2.12-6YnJR02ohZKAv8rYFfSj20
    iproute-1.7.11-DdAowF1Jj6KFeSiqqdL93d mtl-2.2.2
    network-3.1.2.1-JWsgyzxIkceBMW0wbRjAeX
    psqueues-0.2.7.2-LPBceKdcRL0GdCO34gCpxp

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

